import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DeleteMigrationProjectMessage,
  DeleteMigrationProjectResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeleteMigrationProjectCommandInput
  extends DeleteMigrationProjectMessage {}
export interface DeleteMigrationProjectCommandOutput
  extends DeleteMigrationProjectResponse,
    __MetadataBearer {}
declare const DeleteMigrationProjectCommand_base: {
  new (
    input: DeleteMigrationProjectCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteMigrationProjectCommandInput,
    DeleteMigrationProjectCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeleteMigrationProjectCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteMigrationProjectCommandInput,
    DeleteMigrationProjectCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteMigrationProjectCommand extends DeleteMigrationProjectCommand_base {}
