import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeAccountAttributesMessage,
  DescribeAccountAttributesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeAccountAttributesCommandInput
  extends DescribeAccountAttributesMessage {}
export interface DescribeAccountAttributesCommandOutput
  extends DescribeAccountAttributesResponse,
    __MetadataBearer {}
declare const DescribeAccountAttributesCommand_base: {
  new (
    input: DescribeAccountAttributesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeAccountAttributesCommandInput,
    DescribeAccountAttributesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeAccountAttributesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeAccountAttributesCommandInput,
    DescribeAccountAttributesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeAccountAttributesCommand extends DescribeAccountAttributesCommand_base {}
