import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeConversionConfigurationMessage,
  DescribeConversionConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeConversionConfigurationCommandInput
  extends DescribeConversionConfigurationMessage {}
export interface DescribeConversionConfigurationCommandOutput
  extends DescribeConversionConfigurationResponse,
    __MetadataBearer {}
declare const DescribeConversionConfigurationCommand_base: {
  new (
    input: DescribeConversionConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeConversionConfigurationCommandInput,
    DescribeConversionConfigurationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeConversionConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeConversionConfigurationCommandInput,
    DescribeConversionConfigurationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeConversionConfigurationCommand extends DescribeConversionConfigurationCommand_base {}
