import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEngineVersionsMessage,
  DescribeEngineVersionsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeEngineVersionsCommandInput
  extends DescribeEngineVersionsMessage {}
export interface DescribeEngineVersionsCommandOutput
  extends DescribeEngineVersionsResponse,
    __MetadataBearer {}
declare const DescribeEngineVersionsCommand_base: {
  new (
    input: DescribeEngineVersionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEngineVersionsCommandInput,
    DescribeEngineVersionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeEngineVersionsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEngineVersionsCommandInput,
    DescribeEngineVersionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEngineVersionsCommand extends DescribeEngineVersionsCommand_base {}
