import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEventCategoriesMessage,
  DescribeEventCategoriesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeEventCategoriesCommandInput
  extends DescribeEventCategoriesMessage {}
export interface DescribeEventCategoriesCommandOutput
  extends DescribeEventCategoriesResponse,
    __MetadataBearer {}
declare const DescribeEventCategoriesCommand_base: {
  new (
    input: DescribeEventCategoriesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEventCategoriesCommandInput,
    DescribeEventCategoriesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeEventCategoriesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEventCategoriesCommandInput,
    DescribeEventCategoriesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEventCategoriesCommand extends DescribeEventCategoriesCommand_base {}
