import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeExtensionPackAssociationsMessage,
  DescribeExtensionPackAssociationsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeExtensionPackAssociationsCommandInput
  extends DescribeExtensionPackAssociationsMessage {}
export interface DescribeExtensionPackAssociationsCommandOutput
  extends DescribeExtensionPackAssociationsResponse,
    __MetadataBearer {}
declare const DescribeExtensionPackAssociationsCommand_base: {
  new (
    input: DescribeExtensionPackAssociationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeExtensionPackAssociationsCommandInput,
    DescribeExtensionPackAssociationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeExtensionPackAssociationsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeExtensionPackAssociationsCommandInput,
    DescribeExtensionPackAssociationsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeExtensionPackAssociationsCommand extends DescribeExtensionPackAssociationsCommand_base {}
