import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeOrderableReplicationInstancesMessage,
  DescribeOrderableReplicationInstancesResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeOrderableReplicationInstancesCommandInput
  extends DescribeOrderableReplicationInstancesMessage {}
export interface DescribeOrderableReplicationInstancesCommandOutput
  extends DescribeOrderableReplicationInstancesResponse,
    __MetadataBearer {}
declare const DescribeOrderableReplicationInstancesCommand_base: {
  new (
    input: DescribeOrderableReplicationInstancesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeOrderableReplicationInstancesCommandInput,
    DescribeOrderableReplicationInstancesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeOrderableReplicationInstancesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeOrderableReplicationInstancesCommandInput,
    DescribeOrderableReplicationInstancesCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeOrderableReplicationInstancesCommand extends DescribeOrderableReplicationInstancesCommand_base {}
