import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartReplicationMessage,
  StartReplicationResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartReplicationCommandInput extends StartReplicationMessage {}
export interface StartReplicationCommandOutput
  extends StartReplicationResponse,
    __MetadataBearer {}
declare const StartReplicationCommand_base: {
  new (
    input: StartReplicationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationCommandInput,
    StartReplicationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartReplicationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartReplicationCommandInput,
    StartReplicationCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartReplicationCommand extends StartReplicationCommand_base {}
