import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  CreateMigrationProjectMessage,
  CreateMigrationProjectResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateMigrationProjectCommandInput
  extends CreateMigrationProjectMessage {}
export interface CreateMigrationProjectCommandOutput
  extends CreateMigrationProjectResponse,
    __MetadataBearer {}
declare const CreateMigrationProjectCommand_base: {
  new (
    input: CreateMigrationProjectCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateMigrationProjectCommandInput,
    CreateMigrationProjectCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateMigrationProjectCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateMigrationProjectCommandInput,
    CreateMigrationProjectCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateMigrationProjectCommand extends CreateMigrationProjectCommand_base {}
