import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeEventSubscriptionsMessage,
  DescribeEventSubscriptionsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeEventSubscriptionsCommandInput
  extends DescribeEventSubscriptionsMessage {}
export interface DescribeEventSubscriptionsCommandOutput
  extends DescribeEventSubscriptionsResponse,
    __MetadataBearer {}
declare const DescribeEventSubscriptionsCommand_base: {
  new (
    input: DescribeEventSubscriptionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEventSubscriptionsCommandInput,
    DescribeEventSubscriptionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [DescribeEventSubscriptionsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeEventSubscriptionsCommandInput,
    DescribeEventSubscriptionsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeEventSubscriptionsCommand extends DescribeEventSubscriptionsCommand_base {}
