import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  DescribeMetadataModelAssessmentsMessage,
  DescribeMetadataModelAssessmentsResponse,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DescribeMetadataModelAssessmentsCommandInput
  extends DescribeMetadataModelAssessmentsMessage {}
export interface DescribeMetadataModelAssessmentsCommandOutput
  extends DescribeMetadataModelAssessmentsResponse,
    __MetadataBearer {}
declare const DescribeMetadataModelAssessmentsCommand_base: {
  new (
    input: DescribeMetadataModelAssessmentsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelAssessmentsCommandInput,
    DescribeMetadataModelAssessmentsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DescribeMetadataModelAssessmentsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DescribeMetadataModelAssessmentsCommandInput,
    DescribeMetadataModelAssessmentsCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DescribeMetadataModelAssessmentsCommand extends DescribeMetadataModelAssessmentsCommand_base {}
