import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  DatabaseMigrationServiceClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../DatabaseMigrationServiceClient";
import {
  StartMetadataModelAssessmentMessage,
  StartMetadataModelAssessmentResponse,
} from "../models/models_1";
export { __MetadataBearer };
export { $Command };
export interface StartMetadataModelAssessmentCommandInput
  extends StartMetadataModelAssessmentMessage {}
export interface StartMetadataModelAssessmentCommandOutput
  extends StartMetadataModelAssessmentResponse,
    __MetadataBearer {}
declare const StartMetadataModelAssessmentCommand_base: {
  new (
    input: StartMetadataModelAssessmentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelAssessmentCommandInput,
    StartMetadataModelAssessmentCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StartMetadataModelAssessmentCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StartMetadataModelAssessmentCommandInput,
    StartMetadataModelAssessmentCommandOutput,
    DatabaseMigrationServiceClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StartMetadataModelAssessmentCommand extends StartMetadataModelAssessmentCommand_base {}
